'use strict';

const webpack = require("webpack");

module.exports = function generateHotReloadPreset() {
	return {
		entry: {
			main: [
				"webpack-hot-middleware/client?overlay=true&reload=true"
			]
		},
		plugins: [
			new webpack.HotModuleReplacementPlugin(),
			new webpack.NoEmitOnErrorsPlugin()
		]
	}
};
